## org.eclipse.emf.spi.cdo
Interface InternalCDOViewSet

All Superinterfaces:
  org.eclipse.emf.common.notify.Adapter, CDOViewSet, org.eclipse.emf.common.notify.Notifier

    public interface InternalCDOViewSet

extends CDOViewSet, org.eclipse.emf.common.notify.Adapter

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Method Summary
`void` `add(InternalCDOView view)`
`void` `remove(InternalCDOView view)`
`InternalCDOView` `resolveView(java.lang.String repositoryUUID)`

Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewSet
`getPackageRegistry, getResourceFactory, getResourceSet, getViews`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.common.notify.Adapter
`getTarget, isAdapterForType, notifyChanged, setTarget`

Method Detail

### add

    void add(InternalCDOView view)

### remove

    void remove(InternalCDOView view)

### resolveView

    InternalCDOView resolveView(java.lang.String repositoryUUID)

  Specified by:
    `resolveView` in interface `CDOViewSet`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.